# List contract amendments

GET https://api.letsdeel.com/rest/v2/contracts/{contract_id}/amendments

Retrieve amendments of a contract
 **Token scopes**: `contracts:read`, `contracts:write`

Reference: https://developer.deel.com/api/endpoints/contractor-amendments/get-contract-amendments

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /contracts/{contract_id}/amendments:
    get:
      operationId: get-contract-amendments
      summary: List contract amendments
      description: |-
        Retrieve amendments of a contract
         **Token scopes**: `contracts:read`, `contracts:write`
      tags:
        - subpackage_contractorAmendments
      parameters:
        - name: contract_id
          in: path
          description: Unique identifier of the contract
          required: true
          schema:
            type: string
        - name: statuses
          in: query
          description: Filter by work statement status.
          required: false
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/ContractsContractIdAmendmentsGetParametersStatusesSchemaItems
        - name: sign_statuses
          in: query
          description: Filter by work statement sign status.
          required: false
          schema:
            type: array
            items:
              $ref: >-
                #/components/schemas/ContractsContractIdAmendmentsGetParametersSignStatusesSchemaItems
        - name: limit
          in: query
          description: Maximum number of work statements to return.
          required: false
          schema:
            type: integer
            default: 20
        - name: cursor
          in: query
          description: Cursor for pagination.
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/contractor-amendments_getContractAmendments_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListContractAmendments-v2026-01-01RequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListContractAmendments-v2026-01-01RequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ContractsContractIdAmendmentsGetParametersStatusesSchemaItems:
      type: string
      enum:
        - INITIAL
        - PENDING
        - ACTIVE
        - OUTDATED
        - APPROVED
        - DECLINED
      title: ContractsContractIdAmendmentsGetParametersStatusesSchemaItems
    ContractsContractIdAmendmentsGetParametersSignStatusesSchemaItems:
      type: string
      enum:
        - PENDING
        - WAITING_FOR_APPROVAL
        - APPROVED
        - DECLINED
      title: ContractsContractIdAmendmentsGetParametersSignStatusesSchemaItems
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsScale:
      type: string
      enum:
        - hourly
        - daily
        - weekly
        - monthly
        - biweekly
        - semimonthly
        - custom
      description: Payment frequency/scale that defines how often the rate is paid.
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsScale
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsStatus:
      type: string
      enum:
        - INITIAL
        - PENDING
        - ACTIVE
        - OUTDATED
        - APPROVED
        - DECLINED
      description: Current status of the work statement.
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsStatus
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsSignStatus:
      type: string
      enum:
        - PENDING
        - WAITING_FOR_APPROVAL
        - APPROVED
        - DECLINED
      description: Current sign status of the work statement.
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsSignStatus
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsContractType:
      type: string
      enum:
        - milestones
        - time_based
        - ongoing_time_based
        - pay_as_you_go_time_based
        - commission
        - payg_milestones
        - payg_tasks
      description: Type of the associated IC contract.
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsContractType
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the work statement.
        rate:
          type:
            - number
            - 'null'
          format: double
          description: >-
            Compensation rate per scale. The amount paid according to the
            specified scale (e.g., 5000 per month).
        scale:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsScale
            - type: 'null'
          description: Payment frequency/scale that defines how often the rate is paid.
        status:
          $ref: >-
            #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsStatus
          description: Current status of the work statement.
        created_at:
          type: string
          format: date-time
          description: Timestamp when the work statement was created.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the work statement was last updated.
        sign_status:
          $ref: >-
            #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsSignStatus
          description: Current sign status of the work statement.
        contract_name:
          type:
            - string
            - 'null'
          description: Name of the associated contract.
        contract_type:
          oneOf:
            - $ref: >-
                #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItemsContractType
            - type: 'null'
          description: Type of the associated IC contract.
        currency_code:
          type:
            - string
            - 'null'
          description: Currency code in ISO 4217 format (e.g., USD, EUR, GBP).
        effective_date:
          type:
            - string
            - 'null'
          format: date-time
          description: Effective date when the work statement becomes active.
      required:
        - id
        - status
        - created_at
        - updated_at
        - sign_status
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItems
    contractor-amendments_getContractAmendments_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaDataItems
          description: List of work statements (amendments).
        cursor:
          type:
            - string
            - 'null'
          description: Cursor for the next page of results.
        has_more:
          type: boolean
          description: Indicates if there are more work statements available.
        total_count:
          type: integer
          description: Total number of work statements matching the filters.
      required:
        - data
        - cursor
        - has_more
        - total_count
      title: contractor-amendments_getContractAmendments_Response_200
    ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems
    ListContractAmendments-v2026-01-01RequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: ListContractAmendments-v2026-01-01RequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    ListContractAmendments-v2026-01-01RequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ContractsContractIdAmendmentsGetResponsesContentApplicationJsonSchemaErrorsItems
      title: ListContractAmendments-v2026-01-01RequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments"

querystring = {"statuses":"[\"PENDING\",\"ACTIVE\"]","sign_statuses":"[\"PENDING\",\"APPROVED\"]","limit":"10","cursor":"eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/contracts/37nex2x/amendments?statuses=%5B%22PENDING%22%2C%22ACTIVE%22%5D&sign_statuses=%5B%22PENDING%22%2C%22APPROVED%22%5D&limit=10&cursor=eyJjcmVhdGVkX2F0IjoiMjAyNC0wMS0xNVQxMDowMDowMC4wMDBaIiwicHVibGljX2lkIjoiYWJjMTIzIn0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```